﻿using System;
using System.Diagnostics;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.UltraChart;
using Infragistics.UltraChart.Core.Layers;
using Infragistics.UltraChart.Resources.Appearance;

namespace WinVersion185579
{
    public partial class Form1 : Form
    {
        private const float SCALE = .1f;
        public Form1()
        {
            InitializeComponent();

            this.ultraChart1.DataSource = this.Table;
            this.ultraChart1.DoughnutChart.ColumnIndex = 0;
            this.ultraChart1.DoughnutChart.InnerRadius = CalcRadius(this.ultraChart1.Size, SCALE);

            //  Handle resize event
            this.ultraChart1.Resize += new EventHandler(ultraChart1_Resize);
        }

        void ultraChart1_Resize(object sender, EventArgs e)
        {
            //  Set the InnerRadius property to a factor of the
            //  chart's size, so that the wedge area maintains
            //  a consistent size.
            this.ultraChart1.DoughnutChart.InnerRadius =
                CalcRadius(this.ultraChart1.Size, SCALE);
        }

        static int CalcRadius(Size size, float scale)
        {
            //  We'll scale by height
            int baseValue = size.Height;
            int value = (int)(baseValue * scale);
            Debug.WriteLine(baseValue.ToString() + "::" + value.ToString());
            return value;
        }

        private DataTable Table
        {
            get
            {
                DataTable table = new DataTable();
                table.Columns.Add("col1", typeof(float));

                table.Rows.Add(new object[]{0f});
                table.Rows.Add(new object[]{30f});
                table.Rows.Add(new object[]{60f});
                table.Rows.Add(new object[]{90f});
                table.Rows.Add(new object[]{120f});
                table.Rows.Add(new object[]{150f});
                table.Rows.Add(new object[]{180f});
                table.Rows.Add(new object[]{210f});
                table.Rows.Add(new object[]{240f});
                table.Rows.Add(new object[]{270f});
                table.Rows.Add(new object[]{300f});
                table.Rows.Add(new object[]{330f});

                return table;
            }
        }
    }
}
